﻿using Terraria;
using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using TAPI;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Luck
{
    [GlobalMod]
    public class MTileType : ModTileType
    {
        public override void PostKill(int x, int y, bool fail, bool effectsOnly, bool noItem)
        {
            if(Main.tile[x, y].type == TileDef.byName["Luck:LuckyBlock"])
            {
                #region  Items
                int NonRed1 = Main.rand.Next(1, 664);
                int NonRed2 = Main.rand.Next(669, 1553);
                int NonRed3 = Main.rand.Next(1569, 1579);
                int NonRed4 = Main.rand.Next(1588, 3000);
                /*handle the integers for the item IDs (NonRed because if you look I left some out, those are the developer gear item ids*/
                int ItemRng = Main.rand.Next(1, 4);
                /*this at random picks one of the NonRed integer strings*/
                int Stack = Main.rand.Next(1, 10);
                /*end of items*/
                #endregion
                #region Mobs
                int Mob = Main.rand.Next(377);
                /*generates a random npc Data ID*/
                /*end of NPCS*/
                #endregion
                #region Projectiles
                /*Projectiles*/
                int Proj = Main.rand.Next(422);
                int DMG = Main.rand.Next(162);
                int Knok = Main.rand.Next(100);
                /*end of projectiles*/
                #endregion
                int RNG = Main.rand.Next(1, 3);

                if (RNG == 1)
                {
                    NPC.NewNPC(new Vector2(x, y), (int)Mob);
                }
                if (RNG == 2)
                {
                    if (ItemRng == 1)
                    {
                        Item.NewItem((int)x, (int)y, 1, 1, (int)NonRed1, (int)Stack, false, 0);
                    }
                    if (ItemRng == 2)
                    {
                        Item.NewItem((int)x, (int)y, 1, 1, (int)NonRed2, (int)Stack, false, 0);
                    }
                    if (ItemRng == 3)
                    {
                        Item.NewItem((int)x, (int)y, 1, 1, (int)NonRed3, (int)Stack, false, 0);
                    }
                    if (ItemRng == 4)
                    {
                        Item.NewItem((int)x, (int)y, 1, 1, (int)NonRed4, (int)Stack, false, 0);
                    }
                }
                if (RNG == 3)
                {
                    Projectile.NewProjectile(x, y, 0, 10, (int)Proj, (int)DMG, (int)Knok);
                }
            }
        }
    }
}